import QtQuick 2.7
import QtQuick.Controls 2.0
import QtQuick.Layouts 1.0

Pane {
    signal onWarning(string source, string title)

    contentItem: ColumnLayout {

        Label {
            text: "5.4.4.1 В подменю \"Настройка прибора\" выберите пункт \"D-выход\ " +
                  "и в нем режим работы \"Предупреждение ► Температура\". " +
                  "Или нажмите кнопку \"Включить предупреждение Температура\"."
            wrapMode: Text.WordWrap
            Layout.fillWidth: true
        }

        Button {
            text: "Включить предупреждение Температура"
            onClicked: onWarning("source...", "title...")
        }

        Label {
            text: "5.4.4.2 В подменю \"Настройка прибора\" выберите пункт \"Пределы\" (см. рисунок В.4) " +
                  "и задайте верхние и нижние значения пределов предупреждения по следующим параметрам:\n" +
                  " - по расходу: верхний предел 0,9Qmax, нижний предел 0,4Qmax согласно таблице 1;\n" +
                  " - по температуре: верхний предел 99,0 °С, нижний предел 1,0 °С;\n" +
                  " - по плотности: верхний предел 900,00 кг/м³, нижний предел 700,00 кг/м³.\n"
            wrapMode: Text.WordWrap
            Layout.fillWidth: true
        }

        Rectangle {
            Layout.fillHeight: true
        }
    }
}
